Автор Тема: Отсутствие пакета в testing/sid  (Прочитано 820 раз)

0 Пользователей и 1 Гость просматривают эту тему.

Оффлайн swank

  • Новичок форума
  • Topic Author
  • Сообщений: 9
Отсутствие пакета в testing/sid
« : 28 Май 2018, 17:09:04 »
Сижу на testing и постоянно замечаю, что многих пакетов нет в testing, я так понимаю они в процессе подготовления и появятся неизвестно когда, добавил репозитории stable и sid на такой случай с более низким приоритетом, но проблему до конца это не решило ибо часто бывает так, что при установке пакета из stable требуется даунгрейднуть кучу других пакетов до версии из stable, разумеется мне не хочется даунгрейдить половину всех пакетов ради установки одного пакета.
Вот конкретный пример, пакет libglib2.0-0-dbg, его нет ни в testing ни в sid, но и из stable установить нельзя ибо он требует libglib2.0-0 версии 2.50.3-2, а libglib2.0-0 в testing имеет версию 2.56.1-2, то есть для его установки мне нужно даунгрейднуть libglib2.0-0 до версии 2.50.3-2, но это повлечет за собой чутли не даунгрейд половины всех имеющихся пакетов в системе, такой расклад меня разумеется не устраивает.
Как мне в таком случае создать или получить откуда-то пакет libglib2.0-0-dbg версии 2.56.1-2(именно такую версию имеет libglib2.0-0 в testing)?
 



Оффлайн swank

  • Новичок форума
  • Topic Author
  • Сообщений: 9
Re: Отсутствие пакета в testing/sid
« Ответ #2 : 28 Май 2018, 17:33:48 »
Он там только под arm64 и то там какае-то странная версия - 2.42.0-2, даже в stable новее - 2.50.3-2, а в testing должен быть версии 2.56.1-2
 

Онлайн dogsleg

  • systemd of a pwn
  • Местный житель
  • ***
  • Сообщений: 239
  • Debian Developer
    • www.pimentola.ru
Re: Отсутствие пакета в testing/sid
« Ответ #3 : 28 Май 2018, 18:22:46 »
Начиная с выпуска stretch используются автоматические пакеты с отладочными символами. Конкретно для указанного вами пакета нужно использовать их. То есть, не libglib2.0-0-dbg, а libglib2.0-0-dbgsym; пакет ищите в соответствующем специальном разделе репозитория. Описание для пользователей см. в "Информации о выпуске".
 
Пользователи, которые поблагодарили этот пост: swank

Оффлайн ecc83

  • Ветеран
  • *****
  • Сообщений: 1359
  • Debian, Openbox
Re: Отсутствие пакета в testing/sid
« Ответ #4 : 28 Май 2018, 18:50:18 »
Как мне в таком случае создать или получить откуда-то пакет libglib2.0-0-dbg версии 2.56.1-2(именно такую версию имеет libglib2.0-0 в testing)?

Что мешает собрать из исходников нужную версию ?

 

Оффлайн swank

  • Новичок форума
  • Topic Author
  • Сообщений: 9
Re: Отсутствие пакета в testing/sid
« Ответ #5 : 28 Май 2018, 21:49:40 »
Начиная с выпуска stretch используются автоматические пакеты с отладочными символами. Конкретно для указанного вами пакета нужно использовать их. То есть, не libglib2.0-0-dbg, а libglib2.0-0-dbgsym; пакет ищите в соответствующем специальном разделе репозитория. Описание для пользователей см. в "Информации о выпуске".
Вау, прям рай для дебага, спасибо
 
Пользователи, которые поблагодарили этот пост: dogsleg

Теги:
 

Проблема с установкой libfreetype6 - отсутствие multiarch-support

Автор kjioyh

Ответов: 8
Просмотров: 2561
Последний ответ 15 Май 2013, 14:27:39
от qupl
Отсутствие сервисов

Автор Barlok

Ответов: 2
Просмотров: 723
Последний ответ 05 Июль 2018, 10:58:04
от Barlok
Определить отсутствие процесса и выполнить действие

Автор Антон Валерьевич

Ответов: 4
Просмотров: 1118
Последний ответ 14 Апрель 2015, 20:06:20
от yura_n
[Решено] APT ругается на отсутствие ключа

Автор amdir

Ответов: 10
Просмотров: 5103
Последний ответ 01 Октябрь 2016, 01:34:12
от amdir